Package Details: vmware-horizon-tsdr 2312.1-1

Git Clone URL: https://aur.archlinux.org/vmware-horizon-client.git (read-only, click to copy)
Package Base: vmware-horizon-client
Description: VMware Horizon Client connect to VMware Horizon virtual desktop - folder sharing
Upstream URL: https://www.vmware.com/go/viewclients
Licenses: custom
Submitter: eworm
Maintainer: eworm
Last Packager: eworm
Votes: 53
Popularity: 0.72
First Submitted: 2015-01-08 15:17 (UTC)
Last Updated: 2024-04-09 12:41 (UTC)

Latest Comments

1 2 3 4 5 6 .. 17 Next › Last »

ravisagar commented on 2023-12-05 11:57 (UTC)

Hello,

I am using VMware Horizon Client Version 2309.1 Build 8.11.1 (22775487)version and I get the invalid locale error.

Here is what the log says.

2023-12-05 11:49:42.314+00:00: vmware-view 23656| OnError:69: Handling error 'invalid locale' (domain=2359(CDK_BROKER_ERROR), code=14) from task CdkSetLocaleTask. 2023-12-05 11:49:42.314+00:00: vmware-view 23656| cdk_application_on_server_fatal_error: received fatal error 'invalid locale', disconnect server and show error message.

My local is set to:

C C.utf8 POSIX en_GB.utf8

rob81 commented on 2023-11-02 11:48 (UTC)

Working well now. I am not sure what was the Vulkan thing. Worked after upgrading + reboot.

eworm commented on 2023-11-02 08:02 (UTC)

Pushed vmware-horizon-client 2309-2, that should fix the chromium / libstdc++ issue. No idea on the vulkan topic...

rob81 commented on 2023-11-01 01:12 (UTC) (edited on 2023-11-01 01:12 (UTC) by rob81)

I have arch with KDE 4 using Wayland

Before the upgrade I could access the login screen (which comes up in a chromium window), and then the remote application would launch

After upgrade to 2309-1 vmware-client would offer the server but the login screen would not display. Instead, I got the error message that /usr/lib/vmware/libstdc++.so.6 did not contain glibc3.4.32. I renamed /usr/lib/vmware/libstdc++ and did a softlink to the /usr/lib/libstdc++.so.6 library. Now the login screen opens in Chromium. I am able to log in and get the menu of the remote applications.

however, when I try to access any application, the screen momentarily freezes and then I get this error:

Warning: vkCreateInstance: Found no drivers!

Warning: vkCreateInstance failed with VK_ERROR_INCOMPATIBLE_DRIVER

at CheckVkSuccessImpl (../../third_party/dawn/src/dawn/native/vulkan/VulkanError.cpp:88)

at CreateVkInstance (../../third_party/dawn/src/dawn/native/vulkan/BackendVk.cpp:458)

at Initialize (../../third_party/dawn/src/dawn/native/vulkan/BackendVk.cpp:344)

at Create (../../third_party/dawn/src/dawn/native/vulkan/BackendVk.cpp:266)

at operator() (../../third_party/dawn/src/dawn/native/vulkan/BackendVk.cpp:521)

eworm commented on 2023-10-31 13:00 (UTC)

Can you give details on your setup? How can I reproduce?

And does it work to just remove the packaged library, so libstdc++ from gcc-libs can be used?

rob81 commented on 2023-10-31 12:51 (UTC) (edited on 2023-10-31 13:00 (UTC) by rob81)

After upgrading to 2309-1 when being redirected to login via chromium I get that the packaged libstdc++ (usr/lib/vmware/gcc/libstdc++.so.6) does not contain GLIBCXX_3.4.32 which is required by Chromium.

The latest version of libstdc included is 3.4.30

I am using Chromium 119.0.6045.59

I have solved the problem by doing a soft link for libstdc using the libstdc son /usr/lib

aikonbrasil commented on 2023-09-25 18:17 (UTC)

The problem message:

2306-1 install fails(Installed: 2303-1): error: failed to commit transaction (conflicting files) vmware-horizon-client: /usr/share/doc/vmware-horizon-client/patches/README.patches exists in filesystem vmware-horizon-client: /usr/share/doc/vmware-horizon-client/patches/freerdp-1.1.0-tls.patch exists in filesystem vmware-horizon-client: /usr/share/doc/vmware-horizon-client/patches/freerdp-1.1.0.patch exists in filesystem vmware-horizon-client: /usr/share/doc/vmware-horizon-client/patches/rdesktop-1.6.0-win7scard.patch exists in filesystem Errors occurred, no packages were upgraded.

Is solved installing manually the AUR package vmware-keymaps (https://aur.archlinux.org/packages/vmware-keymaps). After installing this package, the next step is to install using the regular procedure "vmware-horizon-client"

boustanihani commented on 2023-09-10 14:13 (UTC) (edited on 2023-09-10 15:12 (UTC) by boustanihani)

Since two weeks, the Horizon client is crashing a couple of times a day at the same time with chrome and chromium, is anyone experiencing similar behaviour?

Using the latest Manjaro, Gnome, Wayland and the latest LTS Kernel (6.1.49-1).

Exanime commented on 2023-09-07 14:13 (UTC)

@Pen_Pen At my organization the same thing happened and it was related to MS implementing a different dual factor authenticator (where they post a number you enter in your Authenticator app on the phone) which broke the VMWare client as it cannot support it

In our case, my organization has a web portal from which I can launch.. it has been the only workaround so far

Pen_Pen commented on 2023-08-21 17:36 (UTC)

Hello everyone

After a while without using horizon client, I am having problems when launching the desktop. I have the server configured but when I tray to start, program crashes / closes.

I tried to unistall and install, also manual build, but I can not make it work, always same issue

Has anyome experimet this problem?

Thanks in advance